diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-option-header.h ns-3.44/src/dsr/model/dsr-option-header.h
--- ns-3.43/src/dsr/model/dsr-option-header.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/model/dsr-option-header.h	2025-03-09 16:55:49.371371000 -0700
@@ -843,134 +843,134 @@
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     DsrOptionRerrUnreachHeader();
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~DsrOptionRerrUnreachHeader() override;
     /**
-     * \brief Set the route error source address
-     * \param errorSrcAddress The error source address
+     * @brief Set the route error source address
+     * @param errorSrcAddress The error source address
      */
     void SetErrorSrc(Ipv4Address errorSrcAddress) override;
     /**
-     * \brief Get the route error source address
-     * \return The error source address
+     * @brief Get the route error source address
+     * @return The error source address
      */
     Ipv4Address GetErrorSrc() const override;
     /**
-     * \brief Set the salvage value of the packet
-     * \param salvage The salvage value of the packet
+     * @brief Set the salvage value of the packet
+     * @param salvage The salvage value of the packet
      */
     void SetSalvage(uint8_t salvage) override;
     /**
-     * \brief Get the salvage value of the packet
-     * \return The salvage value of the packet
+     * @brief Get the salvage value of the packet
+     * @return The salvage value of the packet
      */
     uint8_t GetSalvage() const override;
     /**
-     * \brief Set the error destination ip address
-     * \param errorDstAddress The error destination address
+     * @brief Set the error destination ip address
+     * @param errorDstAddress The error destination address
      */
     void SetErrorDst(Ipv4Address errorDstAddress) override;
     /**
-     * \brief Get the error destination ip address
-     * \return The error destination address
+     * @brief Get the error destination ip address
+     * @return The error destination address
      */
     Ipv4Address GetErrorDst() const override;
     /**
-     * \brief Set the unreachable node ip address
-     * \param unreachNode The unreachable ip address
+     * @brief Set the unreachable node ip address
+     * @param unreachNode The unreachable ip address
      */
     void SetUnreachNode(Ipv4Address unreachNode);
     /**
-     * \brief Get the unreachable node ip address
-     * \return The unreachable ip address
+     * @brief Get the unreachable node ip address
+     * @return The unreachable ip address
      */
     Ipv4Address GetUnreachNode() const;
     /**
-     * \brief Set the unreachable node ip address
-     * \param originalDst The unreachable ip address
+     * @brief Set the unreachable node ip address
+     * @param originalDst The unreachable ip address
      */
     void SetOriginalDst(Ipv4Address originalDst);
     /**
-     * \brief Get the unreachable node ip address
-     * \return The unreachable ip address
+     * @brief Get the unreachable node ip address
+     * @return The unreachable ip address
      */
     Ipv4Address GetOriginalDst() const;
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
     /**
-     * \brief Get the Alignment requirement of this option header
-     * \return The required alignment
+     * @brief Get the Alignment requirement of this option header
+     * @return The required alignment
      */
     Alignment GetAlignment() const override;
 
   private:
     /**
-     * \brief The error type or route error option
+     * @brief The error type or route error option
      */
     uint8_t m_errorType;
     /**
-     * \brief The salvage field
+     * @brief The salvage field
      */
     uint8_t m_salvage;
     /**
-     * \brief The error source address
+     * @brief The error source address
      */
     Ipv4Address m_errorSrcAddress;
     /**
-     * \brief The error destination address
+     * @brief The error destination address
      */
     Ipv4Address m_errorDstAddress;
     /**
-     * \brief The unreachable node address
+     * @brief The unreachable node address
      */
     Ipv4Address m_unreachNode;
     /**
-     * \brief The original destination address
+     * @brief The original destination address
      */
     Ipv4Address m_originalDst;
 };
 
 /**
- * \ingroup dsr
- * \brief Route Error (RERR) Unsupported option Message Format
+ * @ingroup dsr
+ * @brief Route Error (RERR) Unsupported option Message Format
  *
  * The type-specific info field of DsrOptionRerrHeader contains
  *
- * \verbatim
+ * @verbatim
    Route Error Unsupported type-specific info field
 
    |      0        |
@@ -984,118 +984,118 @@
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     DsrOptionRerrUnsupportedHeader();
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~DsrOptionRerrUnsupportedHeader() override;
     /**
-     * \brief Set the route error source address
-     * \param errorSrcAddress The error source address
+     * @brief Set the route error source address
+     * @param errorSrcAddress The error source address
      */
     void SetErrorSrc(Ipv4Address errorSrcAddress) override;
     /**
-     * \brief Get the route error source address
-     * \return The error source address
+     * @brief Get the route error source address
+     * @return The error source address
      */
     Ipv4Address GetErrorSrc() const override;
     /**
-     * \brief Set the salvage value of the packet
-     * \param salvage the salvage value
+     * @brief Set the salvage value of the packet
+     * @param salvage the salvage value
      */
     void SetSalvage(uint8_t salvage) override;
     /**
-     * \brief Get the salvage value of the packet
-     * \return The salvage value of the packet
+     * @brief Get the salvage value of the packet
+     * @return The salvage value of the packet
      */
     uint8_t GetSalvage() const override;
     /**
-     * \brief Set the error destination ip address
-     * \param errorDstAddress The error destination address
+     * @brief Set the error destination ip address
+     * @param errorDstAddress The error destination address
      */
     void SetErrorDst(Ipv4Address errorDstAddress) override;
     /**
-     * \brief Get the error destination ip address
-     * \return The error destination address
+     * @brief Get the error destination ip address
+     * @return The error destination address
      */
     Ipv4Address GetErrorDst() const override;
     /**
-     * \brief Set the unsupported option type value
-     * \param optionType The unsupported option type value
+     * @brief Set the unsupported option type value
+     * @param optionType The unsupported option type value
      */
     void SetUnsupported(uint16_t optionType);
     /**
-     * \brief Get the unsupported option type value
-     * \return The unsupported option type value
+     * @brief Get the unsupported option type value
+     * @return The unsupported option type value
      */
     uint16_t GetUnsupported() const;
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
     /**
-     * \brief Get the Alignment requirement of this option header
-     * \return The required alignment
+     * @brief Get the Alignment requirement of this option header
+     * @return The required alignment
      */
     Alignment GetAlignment() const override;
 
   private:
     /**
-     * \brief The error type or route error option
+     * @brief The error type or route error option
      */
     uint8_t m_errorType;
     /**
-     * \brief The salvage field
+     * @brief The salvage field
      */
     uint8_t m_salvage;
     /**
-     * \brief The error source address
+     * @brief The error source address
      */
     Ipv4Address m_errorSrcAddress;
     /**
-     * \brief The error destination address
+     * @brief The error destination address
      */
     Ipv4Address m_errorDstAddress;
     /**
-     * \brief The unsupported option
+     * @brief The unsupported option
      */
     uint16_t m_unsupported;
 };
 
 /**
- * \ingroup dsr
- * \brief Header of Dsr Option ack request
+ * @ingroup dsr
+ * @brief Header of Dsr Option ack request
  *
- * \verbatim
+ * @verbatim
    Acknowledgement Request (ACK_RREQ) Message Format
 
    |      0        |      1        |      2        |      3        |
@@ -1109,57 +1109,57 @@
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     DsrOptionAckReqHeader();
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~DsrOptionAckReqHeader() override;
     /**
-     * \brief Set the Ack request id number.
-     * \param identification the identification number
+     * @brief Set the Ack request id number.
+     * @param identification the identification number
      */
     void SetAckId(uint16_t identification);
     /**
-     * \brief Set the Ack request id number.
-     * \return request id number
+     * @brief Set the Ack request id number.
+     * @return request id number
      */
     uint16_t GetAckId() const;
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
     /**
-     * \brief Get the Alignment requirement of this option header
-     * \return The required alignment
+     * @brief Get the Alignment requirement of this option header
+     * @return The required alignment
      */
     Alignment GetAlignment() const override;
 
@@ -1171,10 +1171,10 @@
 };
 
 /**
- * \ingroup dsr
- * \brief Header of Dsr Option ack
+ * @ingroup dsr
+ * @brief Header of Dsr Option ack
  *
- * \verbatim
+ * @verbatim
    Acknowledgement (ACK) Message Format
 
    |      0        |      1        |      2        |      3        |
@@ -1192,91 +1192,91 @@
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     DsrOptionAckHeader();
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~DsrOptionAckHeader() override;
     /**
-     * \brief Set the Ack id number.
-     * \param identification the identification number
+     * @brief Set the Ack id number.
+     * @param identification the identification number
      */
     void SetAckId(uint16_t identification);
     /**
-     * \brief Set the Ack id number.
-     * \return request id number
+     * @brief Set the Ack id number.
+     * @return request id number
      */
     uint16_t GetAckId() const;
     /**
-     * \brief Set Error source ip address.
-     * \param realSrcAddress The real source address
+     * @brief Set Error source ip address.
+     * @param realSrcAddress The real source address
      */
     void SetRealSrc(Ipv4Address realSrcAddress);
     /**
-     * \brief Get Error source ip address.
-     * \return The real source address
+     * @brief Get Error source ip address.
+     * @return The real source address
      */
     Ipv4Address GetRealSrc() const;
     /**
-     * \brief Set Error source ip address.
-     * \param realDstAddress The real dst address
+     * @brief Set Error source ip address.
+     * @param realDstAddress The real dst address
      */
     void SetRealDst(Ipv4Address realDstAddress);
     /**
-     * \brief Get Error source ip address.
-     * \return The real dst address
+     * @brief Get Error source ip address.
+     * @return The real dst address
      */
     Ipv4Address GetRealDst() const;
     /**
-     * \brief Print some information about the packet.
-     * \param os output stream
+     * @brief Print some information about the packet.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
     /**
-     * \brief Get the Alignment requirement of this option header
-     * \return The required alignment
+     * @brief Get the Alignment requirement of this option header
+     * @return The required alignment
      */
     Alignment GetAlignment() const override;
 
   private:
     /**
-     * \brief Identification field
+     * @brief Identification field
      */
     uint16_t m_identification;
     /**
-     * \brief Ack source address
+     * @brief Ack source address
      */
     Ipv4Address m_realSrcAddress;
     /**
-     * \brief Ack destination address
+     * @brief Ack destination address
      */
     Ipv4Address m_realDstAddress;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-options.cc ns-3.44/src/dsr/model/dsr-options.cc
--- ns-3.43/src/dsr/model/dsr-options.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/model/dsr-options.cc	2025-03-09 16:55:49.371371000 -0700
@@ -535,8 +535,8 @@
     Ptr<Packet> p =
         packet->Copy(); // Note: The packet here doesn't contain the fixed size dsr header
     /*
-     * \brief Get the number of routers' address field before removing the header
-     * \peek the packet and get the value
+     * @brief Get the number of routers' address field before removing the header
+     * @peek the packet and get the value
      */
     uint8_t buf[2];
     p->CopyData(buf, sizeof(buf));
@@ -1597,7 +1597,7 @@
         DsrOptionRerrUnsupportedHeader rerrUnsupported;
         p->RemoveHeader(rerrUnsupported);
 
-        /// \todo This is for the other two error options, not supporting for now
+        /// @todo This is for the other two error options, not supporting for now
         // uint32_t rerrSize = rerrUnsupported.GetSerializedSize();
         // uint32_t serialized = DoSendError (p, rerrUnsupported, rerrSize, ipv4Address, protocol);
         uint32_t serialized = 0;
